org.springframework.context.annotation

## Class TypeFilterUtils

- java.lang.Object
- - org.springframework.context.annotation.TypeFilterUtils

-     public abstract class TypeFilterUtils
      extends Object

  Collection of utilities for working with `@ComponentScan` type filters.
  Since:
    5.3.13
  Author:
    Chris Beams, Juergen Hoeller, Sam Brannen
  See Also:
    `ComponentScan.Filter`, `TypeFilter`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeFilterUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<TypeFilter>` | `createTypeFiltersFor(AnnotationAttributes filterAttributes, Environment environment, ResourceLoader resourceLoader, BeanDefinitionRegistry registry)` Create type filters from the supplied `AnnotationAttributes`, such as those sourced from `ComponentScan.includeFilters()` or `ComponentScan.excludeFilters()`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeFilterUtils

          public TypeFilterUtils()

  - ### Method Detail

    - #### createTypeFiltersFor

          public static List<TypeFilter> createTypeFiltersFor(AnnotationAttributes filterAttributes,
                                                              Environment environment,
                                                              ResourceLoader resourceLoader,
                                                              BeanDefinitionRegistry registry)

      Create type filters from the supplied `AnnotationAttributes`, such as those sourced from `ComponentScan.includeFilters()` or `ComponentScan.excludeFilters()`.

      Each `TypeFilter` will be instantiated using an appropriate constructor, with `BeanClassLoaderAware`, `BeanFactoryAware`, `EnvironmentAware`, and `ResourceLoaderAware` contracts invoked if they are implemented by the type filter.

      Parameters:
        `filterAttributes` - `AnnotationAttributes` for a `@Filter` declaration
        `environment` - the `Environment` to make available to filters
        `resourceLoader` - the `ResourceLoader` to make available to filters
        `registry` - the `BeanDefinitionRegistry` to make available to filters as a `BeanFactory` if applicable
      Returns:
        a list of instantiated and configured type filters
      See Also:
        `TypeFilter`, `AnnotationTypeFilter`, `AssignableTypeFilter`, `AspectJTypeFilter`, `RegexPatternTypeFilter`, `BeanClassLoaderAware`, `BeanFactoryAware`, `EnvironmentAware`, `ResourceLoaderAware`